window.Gleam.initSearch([{"doc":"edit_distance","title":"edit_distance","content":"# edit_distance\n\n[![Package Version](https://img.shields.io/hexpm/v/edit_distance)](https://hex.pm/packages/edit_distance)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/edit_distance/)\n![CI](https://github.com/giacomocavalieri/edit_distance/workflows/CI/badge.svg?branch=main)\n\n📝 A pure Gleam package to compute the [edit distance](https://en.wikipedia.org/wiki/Edit_distance) of two strings\n\n&gt; ⚙️ This package supports the Erlang and JavaScript targets!\n\n## Installation\n\nTo add this package to your Gleam project:\n\n```sh\ngleam add edit_distance\n```\n\n## Usage\n\nTo use the package, you can import the module corresponding to one of the metrics and call the `distance` function. For example, to compute the edit distance of two strings using the Levenshtein distance you can:\n\n```gleam\nimport edit_distance/levenshtein\nlevenshtein.distance(&quot;gleam&quot;, &quot;beam&quot;)\n// -&gt; 2\n```\n\n## Future plans\n\nFor now the only implemented algorithm is the [Levenshtein distance](https://en.wikipedia.org/wiki/Levenshtein_distance), but I&#39;d like to add more: for sure the [Damerau-Levenshtein distance](https://en.wikipedia.org/wiki/Damerau–Levenshtein_distance) would be a useful future addition!\n\n## Contributing\n\nIf you think there&#39;s any way to improve this package, or if you spot a bug don&#39;t be afraid to open PRs, issues or requests of any kind! Any contribution is welcome 💜\n\n## Aknowledgments\n\nCredits for the Levenshtein distance implementation go to the [Levenshtein](https://github.com/preciz/levenshtein) Elixir library!\n","url":"index.html"},{"doc":"edit_distance/levenshtein","title":"distance","content":"pub fn distance(one: String, other: String) -&gt; Int\n Compute the edit distance between two strings using the\n [Levenshtein distance](https://en.wikipedia.org/wiki/Levenshtein_distance).\n \n ## Examples\n \n \n &gt; distance(&quot;gleam&quot;, &quot;beam&quot;)\n 2\n \n \n \n &gt; distance(&quot;cat&quot;, &quot;cap&quot;)\n 1\n \n \nSynonyms:\nedit_distance/levenshtein.distance\nedit_distance/levenshtein distance","url":"edit_distance/levenshtein.html#distance"},{"doc":"edit_distance/levenshtein","title":"edit_distance/levenshtein","content":"","url":"edit_distance/levenshtein.html"}]);